g4d 1.4.4

Graphics Library for dlang.


To use this package, put the following dependency into your project's dependencies section:

dub.json
dub.sdl

This package provides sub packages which can be used individually:

g4d:derelict-ft - A dynamic binding to the FreeType library.

g4d

g4d is a graphics library for dlang.

Requirements

  • FFmpeg 4.0
  • Freetype2 2.9.1
  • GLFW 3.2.1 or more
  • OpenGL 3.3 or more

If you use Window, you don't need to do anything.

Warning

On Windows, you must use VisualStudio's linker.

Example

You can see /test.d.

Author

KanzakiKino

Authors:
  • KanzakiKino
Sub packages:
g4d:derelict-ft
Dependencies:
g4d:derelict-ft, easyff-d, gl3n, derelict-gl3, derelict-glfw3
Versions:
1.4.4 2018-Aug-21
1.4.3 2018-Aug-19
1.4.2 2018-Aug-18
1.4.1 2018-Aug-14
1.4.0 2018-Aug-12
Show all 26 versions
Download Stats:
  • 1 downloads today

  • 17 downloads this week

  • 34 downloads this month

  • 115 downloads total

Score:
0.4
Short URL:
g4d.dub.pm